<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" th:href="@{/style.css}" href="../static/style.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <title>Registrierung</title>
</head>
<body class="container col-6">

<!-- Header -->
<nav class="navbar navbar-light bg-white">
    <a class="headerText">
        <img src="logo.png" class="d-inline-block align-top" width="150" height="150" alt="logo"><img>
    </a>
</nav>


<h1>Registrieren</h1>
<form th:action="@{/signup}" th:object="${signup}" method="post">
    <div class="form-group row">
        <label for="username" class="col-sm-2 col-form-label">Benutzername</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" id="username" placeholder="Wähle bitte einen Benutzernamen" th:field="*{username}">
            <div th:if="${#fields.hasErrors('username')}" th:errors="*{username}"></div>
        </div>
    </div>
    <div class="form-group row">
        <label for="password" class="col-sm-2 col-form-label">Passwort</label>
        <div class="col-sm-10">
            <input type="password" class="form-control" id="password" placeholder="Wähle bitte ein Passwort" th:field="*{password1}">
            <div th:if="${#fields.hasErrors('password1')}" th:errors="*{password1}"></div>
        </div>
    </div>
    <div class="form-group row">
        <label for="password2" class="col-sm-2 col-form-label">Passwort wiederholen</label>
        <div class="col-sm-10">
            <input type="password" class="form-control" id="password2" placeholder="Wiederhole bitte das Passwort" th:field="*{password2}">
            <div th:if="${#fields.hasErrors('password2')}" th:errors="*{password2}"></div>
        </div>
    </div>
    <button type="submit" class="btn btn-primary">Registrieren</button>
    <a class="btn btn-primary" href="/">Abbrechen</a>

    <!--Password: <input type="password" th:field="*{password1}"><br/>-->
    <!--<div th:if="${#fields.hasErrors('password1')}" th:errors="*{password1}"></div>-->
    <!--Password repeat: <input type="password" th:field="*{password2}"><br/>-->
    <!--<div th:if="${#fields.hasErrors('password2')}" th:errors="*{password2}"></div>-->

</form>

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</body>
</html>